Subject: Re: bug#52503: 29.0.50; sokoban window does not redraw itself

From: Dieter Deyke <[email-masked]>
Date: Sun, 19 Dec 2021 16:47:24 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> Dieter Deyke <[email-masked]> writes:
>
>> I do not think so.
>>
>> emacs -Q
>> load-file "~/.emacs.d/elpa/sokoban-1.4.8/sokoban.el" RET
>> sokoban RET
>>
>> then covering and exposing does it for me every time.
>
> Our OS versions seems to be almost identical, but you're running a
> week-old version of Emacs:
>
> In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.30, cairo version 1.16.0)
>  of 2021-12-10 built on deyke2
> Repository revision: e98ca32176871011451b04c0b952aef07d658f72
> Repository branch: master
> Windowing system distributor 'The X.Org Foundation', version 11.0.12013000
> System Description: Debian GNU/Linux bookworm/sid
>
> Do you still see this problem on the current trunk?

Now I am running

GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.30, cairo version 1.16.0) of 2021-12-17

and the problem is still there (at least with emacs -Q and just doing
sokoban). After some time, doing a lot of other things, like reading
mail, and making more frames, the problem vanishes. But I have not
figured out how to make that happen on purpose.

-- 
Dieter Deyke
mailto:[email-masked]
Get my Gnupg key:
gpg --keyserver keys.gnupg.net --recv-keys B116EA20